bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

"make check" port to perl 5.005_03 (Solaris 8 perl)


From: Paul Eggert
Subject: "make check" port to perl 5.005_03 (Solaris 8 perl)
Date: Thu, 15 Nov 2007 22:11:22 -0800
User-agent: Gnus/5.11 (Gnus v5.11) Emacs/22.1 (gnu/linux)

coreutils's "make check" uses "use warnings;", which is not supported
on the perl 5.005_03 that is shipped with Solaris 8.  Here's a patch.

Solaris 8 last shipped in February and bugs continue to be fixed in it
(<http://www.sun.com/service/eosl/solaris/solaris_vintage_eol_5.2005.xml>
says that Sun's phase 2 software support is scheduled to end on
2012-03-31) so I think it's still worth supporting.  But my real
excuse is that some servers at the UCLA School of Engineering still
run Solaris 8.

2007-11-15  Paul Eggert  <address@hidden>

        Port to Solaris 8 perl, which does not support "use warnings;".
        * tests/dd/skip-seek: Skip test if "use warnings;" fails.
        * tests/du/files0-from: Likewise.
        * tests/misc/base64: Likewise.
        * tests/misc/basename: Likewise.
        * tests/misc/cut: Likewise.
        * tests/misc/date: Likewise.
        * tests/misc/dircolors: Likewise.
        * tests/misc/dirname: Likewise.
        * tests/misc/expand: Likewise.
        * tests/misc/expr: Likewise.
        * tests/misc/factor: Likewise.
        * tests/misc/fmt: Likewise.
        * tests/misc/fold: Likewise.
        * tests/misc/head-elide-tail: Likewise.
        * tests/misc/ls-misc: Likewise.
        * tests/misc/md5sum: Likewise.
        * tests/misc/md5sum-newline: Likewise.
        * tests/misc/mktemp: Likewise.
        * tests/misc/od: Likewise.
        * tests/misc/paste-no-nl: Likewise.
        * tests/misc/pr: Likewise.
        * tests/misc/seq: Likewise.
        * tests/misc/sha1sum: Likewise.
        * tests/misc/sha1sum-vec: Likewise.
        * tests/misc/sha224sum: Likewise.
        * tests/misc/sha256sum: Likewise.
        * tests/misc/sha384sum: Likewise.
        * tests/misc/sha512sum: Likewise.
        * tests/misc/sort-merge: Likewise.
        * tests/misc/stat-printf: Likewise.
        * tests/misc/sum: Likewise.
        * tests/misc/test-diag: Likewise.
        * tests/misc/tsort: Likewise.
        * tests/misc/unexpand: Likewise.
        * tests/misc/wc-files0-from: Likewise.
        * tests/misc/xstrtol: Likewise.
        * tests/mv/i-1: Likewise.
        * tests/rm/empty-name: Likewise.
        * tests/rm/unreadable: Likewise.

diff --git a/tests/dd/skip-seek b/tests/dd/skip-seek
index a30195e..f2c0393 100755
--- a/tests/dd/skip-seek
+++ b/tests/dd/skip-seek
@@ -21,7 +21,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/du/files0-from b/tests/du/files0-from
index cb82dae..88f83aa 100755
--- a/tests/du/files0-from
+++ b/tests/du/files0-from
@@ -21,7 +21,7 @@
 : ${srcdir=.}


-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/base64 b/tests/misc/base64
index 56c5e24..3276635 100755
--- a/tests/misc/base64
+++ b/tests/misc/base64
@@ -22,7 +22,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/basename b/tests/misc/basename
index 07b1185..e492b9e 100755
--- a/tests/misc/basename
+++ b/tests/misc/basename
@@ -21,7 +21,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/cut b/tests/misc/cut
index 4475834..0a8ae3a 100755
--- a/tests/misc/cut
+++ b/tests/misc/cut
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/date b/tests/misc/date
index 61a6f3e..7408ea2 100755
--- a/tests/misc/date
+++ b/tests/misc/date
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/dircolors b/tests/misc/dircolors
index e93d2fb..01f2211 100755
--- a/tests/misc/dircolors
+++ b/tests/misc/dircolors
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/dirname b/tests/misc/dirname
index 7d0ffda..0530175 100755
--- a/tests/misc/dirname
+++ b/tests/misc/dirname
@@ -22,7 +22,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/expand b/tests/misc/expand
index 7772fef..b58ff29 100755
--- a/tests/misc/expand
+++ b/tests/misc/expand
@@ -22,7 +22,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/expr b/tests/misc/expr
index 2a7f4c0..360d905 100755
--- a/tests/misc/expr
+++ b/tests/misc/expr
@@ -20,7 +20,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/factor b/tests/misc/factor
index e6d3bcf..ebe0d64 100755
--- a/tests/misc/factor
+++ b/tests/misc/factor
@@ -21,7 +21,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/fmt b/tests/misc/fmt
index 043bf72..0cc9ba2 100755
--- a/tests/misc/fmt
+++ b/tests/misc/fmt
@@ -21,7 +21,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/fold b/tests/misc/fold
index df01701..a43ebf1 100755
--- a/tests/misc/fold
+++ b/tests/misc/fold
@@ -22,7 +22,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/head-elide-tail b/tests/misc/head-elide-tail
index ad1fef7..4bdcf53 100755
--- a/tests/misc/head-elide-tail
+++ b/tests/misc/head-elide-tail
@@ -20,7 +20,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/ls-misc b/tests/misc/ls-misc
index 4fb8f16..520c503 100755
--- a/tests/misc/ls-misc
+++ b/tests/misc/ls-misc
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/md5sum b/tests/misc/md5sum
index 43407a4..1b12e83 100755
--- a/tests/misc/md5sum
+++ b/tests/misc/md5sum
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/md5sum-newline b/tests/misc/md5sum-newline
index 22717d4..e20f0be 100755
--- a/tests/misc/md5sum-newline
+++ b/tests/misc/md5sum-newline
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/mktemp b/tests/misc/mktemp
index da576e8..ed4b3c2 100755
--- a/tests/misc/mktemp
+++ b/tests/misc/mktemp
@@ -21,7 +21,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/od b/tests/misc/od
index 2395fa1..d827c2b 100755
--- a/tests/misc/od
+++ b/tests/misc/od
@@ -22,7 +22,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/paste-no-nl b/tests/misc/paste-no-nl
index 68f53a1..aa5049c 100755
--- a/tests/misc/paste-no-nl
+++ b/tests/misc/paste-no-nl
@@ -20,7 +20,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/pr b/tests/misc/pr
index 76c32d6..0b7e0a2 100755
--- a/tests/misc/pr
+++ b/tests/misc/pr
@@ -21,7 +21,7 @@
 : ${srcdir=.}


-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/seq b/tests/misc/seq
index ec843bc..17c8f0c 100755
--- a/tests/misc/seq
+++ b/tests/misc/seq
@@ -20,7 +20,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sha1sum b/tests/misc/sha1sum
index 975c570..62de889 100755
--- a/tests/misc/sha1sum
+++ b/tests/misc/sha1sum
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sha1sum-vec b/tests/misc/sha1sum-vec
index d209041..2dd666c 100755
--- a/tests/misc/sha1sum-vec
+++ b/tests/misc/sha1sum-vec
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sha224sum b/tests/misc/sha224sum
index 220a498..1fdfd3d 100755
--- a/tests/misc/sha224sum
+++ b/tests/misc/sha224sum
@@ -21,7 +21,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sha256sum b/tests/misc/sha256sum
index 2d6a0d9..f4f25d8 100755
--- a/tests/misc/sha256sum
+++ b/tests/misc/sha256sum
@@ -21,7 +21,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sha384sum b/tests/misc/sha384sum
index 1d3aff0..bfb9ed0 100755
--- a/tests/misc/sha384sum
+++ b/tests/misc/sha384sum
@@ -21,7 +21,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sha512sum b/tests/misc/sha512sum
index 74deec5..55798fc 100755
--- a/tests/misc/sha512sum
+++ b/tests/misc/sha512sum
@@ -21,7 +21,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sort-merge b/tests/misc/sort-merge
index 7884ef6..2795b60 100755
--- a/tests/misc/sort-merge
+++ b/tests/misc/sort-merge
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/stat-printf b/tests/misc/stat-printf
index 695be26..60d7b6f 100755
--- a/tests/misc/stat-printf
+++ b/tests/misc/stat-printf
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/sum b/tests/misc/sum
index 5271707..d87bdd0 100755
--- a/tests/misc/sum
+++ b/tests/misc/sum
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/test-diag b/tests/misc/test-diag
index f5d7672..9f0c7cd 100755
--- a/tests/misc/test-diag
+++ b/tests/misc/test-diag
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/tsort b/tests/misc/tsort
index 7905020..9a078ae 100755
--- a/tests/misc/tsort
+++ b/tests/misc/tsort
@@ -20,7 +20,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/unexpand b/tests/misc/unexpand
index 9752524..e354344 100755
--- a/tests/misc/unexpand
+++ b/tests/misc/unexpand
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/wc-files0-from b/tests/misc/wc-files0-from
index 1d46b2a..6d0bb8c 100755
--- a/tests/misc/wc-files0-from
+++ b/tests/misc/wc-files0-from
@@ -24,7 +24,7 @@

 PROG=`echo $0|sed 's,.*/,,'`; export PROG

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/misc/xstrtol b/tests/misc/xstrtol
index aa2b8a7..7fdc4da 100755
--- a/tests/misc/xstrtol
+++ b/tests/misc/xstrtol
@@ -24,7 +24,7 @@ fi
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/mv/i-1 b/tests/mv/i-1
index d516859..0fee59c 100755
--- a/tests/mv/i-1
+++ b/tests/mv/i-1
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/rm/empty-name b/tests/rm/empty-name
index ead8422..a2af5be 100755
--- a/tests/rm/empty-name
+++ b/tests/rm/empty-name
@@ -24,7 +24,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77
diff --git a/tests/rm/unreadable b/tests/rm/unreadable
index 4af8280..16c4c92 100755
--- a/tests/rm/unreadable
+++ b/tests/rm/unreadable
@@ -19,7 +19,7 @@
 : ${PERL=perl}
 : ${srcdir=.}

-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
   echo 1>&2 "$0: configure didn't find a usable version of Perl," \
     "so can't run this test"
   exit 77




reply via email to

[Prev in Thread] Current Thread [Next in Thread]